# IniGroup Struct Reference

A group within an ini file. More...

`#include <ini_type.h>`

## Public Member Functions
| IniGroup (struct IniFile *parent, const char *name, size_t len=0)
| Construct a new in-memory group of an Ini file.
| ~IniGroup ()
| Free everything we loaded.
IniItem * | GetItem (const char *name, bool create)
| Get the item with the given name, and if it doesn't exist and create is true it creates a new item.
void | Clear ()
| Clear all items in the group.
## Data Fields
IniGroup * | next
| the next group within this file
IniGroupType | type
| type of group
IniItem * | item
| the first item in the group
IniItem ** | last_item
| the last item in the group
char * | name
| name of group
char * | comment
| comment for group

## Detailed Description

A group within an ini file.

Definition at line 47 of file ini_type.h.

## Constructor & Destructor Documentation

IniGroup::IniGroup | ( | struct IniFile * | parent,
|  | const char * | name,
|  | size_t | len = `0` |
| ) |  |  |

Construct a new in-memory group of an Ini file.

Parameters:

  | parent | the file we belong to
  | name | the name of the group
  | len | the length of the name of the group

Definition at line 53 of file ini.cpp.

References IGT_LIST, item, IniFile::last_group, last_item, IniFile::list_group_names, next, and type.

IniGroup::~IniGroup | ( |  | ) |

Free everything we loaded.

Definition at line 72 of file ini.cpp.

References comment, item, name, and next.

## Member Function Documentation

IniItem * IniGroup::GetItem | ( | const char * | name,
|  | bool | create |
| ) |  |  |

Get the item with the given name, and if it doesn't exist and create is true it creates a new item.

Parameters:

  | name | name of the item to find.
  | create | whether to create an item when not found or not.

Returns:
  the requested item or NULL if not found.

Definition at line 81 of file ini.cpp.

References item, IniItem::name, and IniItem::next.

Referenced by MusicSet::FillSetDetails(), BaseSet< T, Tnum_files, Tsubdir >::FillSetDetails(), ini_load_settings(), ini_save_setting_list(), and SaveVersionInConfig().

The documentation for this struct was generated from the following files:

- src/ini_type.h
- src/ini.cpp